https://balanceplatform-api-test.adyen.com/bcl/v2/transactionRules/{transactionRuleId}Updates a transaction rule. * To update only the status of a transaction rule, send only the `status` parameter. All other parameters not provided in the request are left unchanged. * When updating any other parameter, you need to send all existing resource parameters. If you omit a parameter in the request, that parameter is removed from the resource.
The unique identifier of the transaction rule.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PATCH \2 --url 'https://balanceplatform-api-test.adyen.com/bcl/v2/transactionRules/{transactionRuleId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://balanceplatform-api-test.adyen.com/bcl/v2/transactionRules/{transactionRuleId}Updates a transaction rule. * To update only the status of a transaction rule, send only the `status` parameter. All other parameters not provided in the request are left unchanged. * When updating any other parameter, you need to send all existing resource parameters. If you omit a parameter in the request, that parameter is removed from the resource.
The unique identifier of the transaction rule.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PATCH \2 --url 'https://balanceplatform-api-test.adyen.com/bcl/v2/transactionRules/{transactionRuleId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}